{% macro alert(alert,opt) %}{% if alert.text ?? false %}
{% if alert.type ?? false %}
{% set typeCSS = alert.type == "error" ? "alert-danger" : alert.type == "warning" ? "alert-warning" : alert.type == "success" ? "alert-success" : "alert-info" %}
{% else %}
{% set typeCSS = "alert-info" %}
{% endif %}
<div id="{{ opt.id ?? "pageAlert" }}" class="alert {{ opt.css ?? "page-alert" }} {{ typeCSS }}">{{ alert.text }}</div>
{% if opt.autoClose ?? false %}
<script type="text/javascript">
$(document).ready(function(){window.setTimeout(function(){ $("#{{ opt.id ?? "pageAlert" }}").slideUp()},{{opt.autoClose * 1000}} )})
</script>
{% endif %}{% endif %}
{% endmacro %}